| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IG.Num.SampledDataSetDto Class Reference

Data Transfer Object (DTO) for sampled data set. More...

Inheritance diagram for IG.Num.SampledDataSetDto:
[legend]
Collaboration diagram for IG.Num.SampledDataSetDto:
[legend]

## Public Member Functions
| SampledDataSetDto ()
override SampledDataSet | CreateObject ()
| Creates and returns a new object of the appropriate type. More...

## Protected Member Functions
override void | CopyFromPlain (SampledDataSet dataSet)
| Copies the specified sampled data set to the current DTO. More...
override void | CopyToPlain (ref SampledDataSet dataSet)
| Copies contents of the current DTO to the specified sempled data set. More...
Protected Member Functions inherited from IG.Lib.SerializationDto< SampledDataSet >
| SerializationDto ()

## Protected Attributes
int | _inputLength = 0
int | _outputLength = 0
int | _length = 0
SampledDataElementDto[] | _elements

## Properties
virtual int | Length`[get, set]`
virtual int | InputLength`[get, set]`
| Number of input parameters in sampled data. More...
virtual int | OutputLength`[get, set]`
| Number of output values in sampled data. More...
virtual SampledDataElementDto[] | Elements`[get, set]`
| Element of the sempled set (input/output pairs). More...

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< SampledDataSet >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

Data Transfer Object (DTO) for sampled data set.

## Constructor & Destructor Documentation

IG.Num.SampledDataSetDto.SampledDataSetDto | ( |  | ) |
| inline

## Member Function Documentation

override SampledDataSet IG.Num.SampledDataSetDto.CreateObject | ( |  | ) |
| inline

Creates and returns a new object of the appropriate type.

override void IG.Num.SampledDataSetDto.CopyFromPlain | ( | SampledDataSet | dataSet | ) |
| inline protected

Copies the specified sampled data set to the current DTO.

Parameters

  dataSet | Object that is copied to the current DTO.

References IG.Num.SampledDataSet.InputLength, IG.Num.SampledDataSet.Length, and IG.Num.SampledDataSet.OutputLength.

override void IG.Num.SampledDataSetDto.CopyToPlain | ( | ref SampledDataSet | dataSet | ) |
| inline protected

Copies contents of the current DTO to the specified sempled data set.

Parameters

  dataSet | Object that the current DTO contents are copied to.

## Member Data Documentation

int IG.Num.SampledDataSetDto._inputLength = 0
| protected

int IG.Num.SampledDataSetDto._outputLength = 0
| protected

int IG.Num.SampledDataSetDto._length = 0
| protected

SampledDataElementDto [] IG.Num.SampledDataSetDto._elements
| protected

## Property Documentation

virtual int IG.Num.SampledDataSetDto.Length
| get set

virtual int IG.Num.SampledDataSetDto.InputLength
| get set

Number of input parameters in sampled data.

virtual int IG.Num.SampledDataSetDto.OutputLength
| get set

Number of output values in sampled data.

virtual SampledDataElementDto [] IG.Num.SampledDataSetDto.Elements
| get set

Element of the sempled set (input/output pairs).

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDto.cs